> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payin Accounts

> List the provider accounts, with their registered wallet addresses per asset. An account is created on the provider platform (e.g. the Borderless dashboard) and its registered addresses serve both directions: a payin delivers to — and a payout is funded from — a wallet whose address is registered on the account.



## OpenAPI

````yaml /openapi.yaml get /payins/accounts
openapi: 3.1.0
info:
  version: 2.0.15
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payins/accounts:
    get:
      tags:
        - Payins
      summary: List Payin Accounts
      description: >-
        List the provider accounts, with their registered wallet addresses per
        asset. An account is created on the provider platform (e.g. the
        Borderless dashboard) and its registered addresses serve both
        directions: a payin delivers to — and a payout is funded from — a wallet
        whose address is registered on the account.
      parameters:
        - schema:
            type: string
            enum:
              - CircleMint
              - Borderless
            description: >-
              The provider to list accounts from. Only Borderless has payin
              accounts.
          required: true
          description: >-
            The provider to list accounts from. Only Borderless has payin
            accounts.
          name: provider
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        accountId:
                          type: string
                          description: The provider's account id.
                        name:
                          type: string
                          description: The account name, when the provider has one.
                        assets:
                          type: array
                          items:
                            type: object
                            properties:
                              asset:
                                type: string
                                description: >-
                                  The provider's asset code (e.g.
                                  USDC_ETHEREUM).
                              address:
                                type: string
                                description: >-
                                  The registered destination address for the
                                  asset.
                            required:
                              - asset
                              - address
                          description: >-
                            The assets registered on the account, with their
                            destination addresses.
                      required:
                        - accountId
                        - assets
                    description: The provider accounts available for payins.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````